<template>
  <dashboard-layout :link="0" class="">
    <div class="p-2">
      <div class="col-sm-6 h4 ">
        <!-- <span>Hi </span>  -->
        <span class="text-capitalize text-bold mr-2">Hi {{curUser && curUser.firstname ? curUser.firstname : 'Dave'}}, </span>
        <span> your analytics are all set</span>
      </div>
      <div class="col-sm-4">

      </div>

    </div>
    <!-- <div class="card p-2 m-2">
      <div class="row p-4">
        <div class="col-sm-3 ">
          <span class="card" @click="next()">
            <div class="card-content">
              <div class="card-body">
                <div class="media d-flex">
                  <div class="align-self-center text-secondary2">
                    <i class="fa fa-users icon-pointer float-left"></i>
                  </div>
                  <div class="media-body ">
                    <h3 class="text-primary2 text-bold">{{usersCount}}</h3>
                    <span class="text-primary2">User(s)</span>
                  </div>
                </div>
              </div>
            </div>
          </span>
        </div>

      </div>
    </div> -->
  </dashboard-layout>
</template>

<script lang="ts">

export default {
  data() {
    return {
      curUser: {},
      connected: false,
      showMenu: true,
      showDropDown: false,
      isDropSettingOpen: false,
      usersCount: 1,

      isLoading: false
    };
  },
  mounted() {
    this.init();
    this.loadData();
  },
  methods: {
    init(){
      if(localStorage.getItem('token') ){
        this.curUser = JSON.parse(localStorage.getItem('userInfos'));
      } else{
        this.$alertify.warning("Vous n'êtes pas connecté. Veuillez-vous connecter !");
        this.$router.replace({ path: '/' });
      }
    },
    loadData(){
      this.isLoading=true;
      this.$service.getLogged("users-count", {}, (data) => {
        this.isLoading=false;

        if(data.status==200){
          this.usersCount = data.ressource;

        } else {
          this.$alertify.warning("Impossible de récupérer la data!");
        }

      });
    },
    next(){
      this.$router.push({ path: '/users' });
    }
  },
};
</script>

<style lang="scss" scoped>
 .icon-pointer {
    font-size: 75px;
  }

  .card {
    cursor: pointer;
  }

  .media-body {
    text-align: center;
    margin: 0 20px;
  }

</style>
